<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main>
    <div>
        <h1>My Lists</h1>
        <p>
            <a href="{% url 'todo_list_create' %}">Create a new list</a>
        </p>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of items</th>
                </tr>
            </thead>
            <tbody>
                {% for item in list_of_todos %}
                <tr>
                    <td>
                        <a href="{% url "todo_list_detail" id=item.id %}">{{ item.name }}</a>
                    </td>
                    <td>{{ item.items.all| length }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        </div>
    </main>
</body>
</html>
